OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
InitHandler Class Reference

Stateless, thread safe initialization hander. More...

`#include <init.h>`

Inheritance diagram for InitHandler:

## Public Member Functions
virtual void | Run (LinkGraphJob &job) const
| Initialize the link graph job.
virtual | ~InitHandler ()
| Virtual destructor has to be defined because of virtual Run().
Public Member Functions inherited from ComponentHandler
virtual | ~ComponentHandler ()
| Destroy the handler.

## Detailed Description

Stateless, thread safe initialization hander.

Initializes node and edge annotations.

Definition at line 12 of file init.h.

## Member Function Documentation

virtual void InitHandler::Run | ( | LinkGraphJob & | job | ) | const
| inline virtual

Initialize the link graph job.

Parameters

  job | Job to be initialized.

Implements ComponentHandler.

Definition at line 19 of file init.h.

References LinkGraphJob::Init().

The documentation for this class was generated from the following file:

- src/linkgraph/init.h